import java.applet.Applet;
import java.awt.*;
import javax.swing.*;

public class Fig7_6 extends Applet {

    /**
     * Initializes the applet.  You never need to call this directly; it is
     * called automatically by the system once the applet is created.
     */
    public void init() {
	String labels[] = {"One", "Two", "Three", "Four", "Five",
	    "Six", "Seven", "Eight", "Nine"};
	setLayout(new GridLayout(3, 3, 10, 10));
	for (int i=0; i<labels.length; i++)
	    add(new JButton(labels[i]));
	resize(240, 180);
    }

    /**
     * Called to start the applet.  You never need to call this directly; it
     * is called when the applet's document is visited.
     */
    public void start() {
    }

    /**
     * Called to stop the applet.  This is called when the applet's document is
     * no longer on the screen.  It is guaranteed to be called before destroy()
     * is called.  You never need to call this method directly
     */
    public void stop() {
    }

    /**
     * Cleans up whatever resources are being held.  If the applet is active
     * it is stopped.
     */
    public void destroy() {
    }
}

